Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030055
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2015-05-31 14:042015-11-14 13:02
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision1474b680f216
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030055: Cleanup all eclipse warnings in src-trl

DescriptionThis bug is to fix all (per openbravo preferences) eclipse warnings in src-trl folder.

Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030056 closedshuehner Cleanup all eclipse warnings in src-wad 
related to defect 0030053 closedshuehner Cleanup local unused variables warning 
related to defect 0030054 closedshuehner Cleanup warnings in wad generated code (srcAD) 
related to defect 0030052 closedshuehner Lots of 'Unnecessary cast' warnings in pi after enabling that extra warning in Eclipse 
blocks feature request 0031477 newshuehner Tracking issue to reduce the huge number of eclipse warnings in pi 

-  Notes
(0077936)
hgbot (developer)
2015-06-01 13:09

Repository: erp/devel/pi
Changeset: 1474b680f2164bc6802ed7c46d131b38951ecb7a
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun May 31 14:06:56 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1474b680f2164bc6802ed7c46d131b38951ecb7a [^]

Fixed 30055. Fix all warnings in src-trl

Two types of changes:
- Remove variables which are never read
- Do not assign to parameters, copy to local var instead
  References of parameters cannot be modified in java
  Content of objects passed in can be, however in all this
  cases object are String which are immutable
  Same fix always: Copy of local variable keeping name
  of old param as new variable name to reduce diff to review.
  - That avoid any developer confusing maybe thinking change
    of param would be visible in caller.

---
M src-trl/src/org/openbravo/translate/RTLSkin.java
M src-trl/src/org/openbravo/translate/Translate.java
---
(0078064)
alostale (developer)
2015-06-04 12:55

code reviewed

- Issue History
Date Modified Username Field Change
2015-05-31 14:04 shuehner New Issue
2015-05-31 14:04 shuehner Assigned To => shuehner
2015-05-31 14:04 shuehner Modules => Core
2015-05-31 14:04 shuehner Triggers an Emergency Pack => No
2015-05-31 14:30 shuehner Relationship added related to 0030056
2015-06-01 13:09 hgbot Checkin
2015-06-01 13:09 hgbot Note Added: 0077936
2015-06-01 13:09 hgbot Status new => resolved
2015-06-01 13:09 hgbot Resolution open => fixed
2015-06-01 13:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1474b680f2164bc6802ed7c46d131b38951ecb7a [^]
2015-06-01 13:11 shuehner Review Assigned To => alostale
2015-06-04 12:24 alostale Relationship added related to 0030053
2015-06-04 12:24 alostale Relationship added related to 0030054
2015-06-04 12:24 alostale Relationship added related to 0030052
2015-06-04 12:55 alostale Note Added: 0078064
2015-06-04 12:55 alostale Status resolved => closed
2015-06-04 12:55 alostale Fixed in Version => 3.0PR15Q3
2015-11-14 13:02 shuehner Relationship added blocks 0031477


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker